Skip to main content

Create Open Finance Device Enrollment Risk Signal.

POST 

/open-finance/enrollments/:id/device/risk-signal

Create a new Open Finance device enrollment risk signal.

Request

Path Parameters

    id stringrequired

    Open Finance enrollment id.

Header Parameters

    x-include-replay-protection-schema string

    The replay-protection-schema allows the user to choose between 3 options:

    • If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
    • 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
    • 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
    • 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

Body

required
    account_tenure stringrequired

    Client logged user account tenure date.

    device_id stringrequired

    Client logged user device ID.

    os_version stringrequired

    Client logged user OS version.

    elapsed_time_since_boot number

    Client logged user elapsed time since boot in milliseconds.

    is_rooted_device boolean

    Client logged user is rooted device.

    user_time_zone_offset stringrequired

    Client logged user user time zone offset.

    language stringrequired

    Client logged user language ISO 639-1 code.

    screen_width numberrequired

    Client logged user device screen width in pixels.

    screen_height numberrequired

    Client logged user device screen height in pixels.

    screen_brightness number

    Client logged user screen brightness in percentage. IOS and ANDROID have different formats for this value.

    device_latitude number

    Client logged user device latitude.

    device_longitude number

    Client logged user device longitude.

    device_geolocation_type string

    Possible values: [COARSE, FINE, INFERRED]

    Client logged user device geolocation type.

    is_call_in_progress boolean

    Client logged user device is call in progress.

    is_dev_mode_enabled boolean

    Client logged user device is dev mode enabled.

    is_mock_gps boolean

    Client logged user device is mock GPS enabled.

    is_emulated boolean

    Client logged user device is emulated.

    is_monkey_runner boolean

    Client logged user device is monkey runner enabled.

    is_charging boolean

    Client logged user device is charging.

    antenna_information string

    Client logged user device antenna information.

    is_usb_connected boolean

    Client logged user device is USB connected.

    device_app_integrity_verdict string

    Client logged user device app integrity verdict.

    device_integrity_verdict string

    Client logged user device integrity verdict.

Responses

Device enrollment risk signal created successfully.

Loading...